CREATE TABLE grc_acn_role_audit_usrs (
    CERT_ROLE_ID             NUMBER(18, 0),
    USER_ID                  VARCHAR2(256),
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)     NOT NULL,
    CREATION_DATE            TIMESTAMP(6)     NOT NULL,
    CREATED_BY               VARCHAR2(256)    NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128),
    OBJECT_TYPE_CODE         VARCHAR2(120)    NOT NULL,
    CERT_ROLE_ID             NUMBER(18, 0),
    USER_ID                  VARCHAR2(256),
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)     NOT NULL,
    CREATION_DATE            TIMESTAMP(6)     NOT NULL,
    CREATED_BY               VARCHAR2(256)    NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128),
    OBJECT_TYPE_CODE         VARCHAR2(120)    NOT NULL,
    CONSTRAINT pk_grc_acn_role_audit_usrs PRIMARY KEY (CERT_ROLE_ID, USER_ID, CERT_ROLE_ID, USER_ID)
);
